Bug 67986 - ipvsadm doesn't work under RedHat 6.2 with latest kernel and glibc
ipvsadm doesn't work under RedHat 6.2 with latest kernel and glibc
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-04 22:24 EDT by Mark Adams
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Adams 2002-07-04 22:24:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
For some reason, ipvsadm was not listed as a component, so I had to add this to 
ipchains. Please change the component for this bug to ipvsadm.

I did not test this with the default RedHat 6.2 installation, but after 
upgrading to the 2.2.19 kernel and glibc 2.1.3, ipvsadm (ipvsadm-1.1-
2.i386.rpm) no longer functions, and ipvsadm -L -n reports invalid information.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ipvsadm -A -t 68.40.41.100:12345
2. ipvsadm -a -t 68.40.41.100:12345 -r 192.168.0.4:12345 -m
3. ipvsadm -L -n


Actual Results:  IP Virtual Server version 1.0.8 (size=4096)                    
Prot LocalAddress:Port Scheduler Flags                         
  -> RemoteAddress:Port Forward Weight ActiveConn InActConn    
TCP  44282964:3039 wlc                                         
  -> 01000000:0000      Masq    0      0          0

Packets not being forwarded. I had to upgrade ipvsadm myself in order to get it 
functioning again.

Expected Results:  The output should look something like this:

IP Virtual Server version 1.0.8 (size=4096)                    
Prot LocalAddress:Port Scheduler Flags                         
  -> RemoteAddress:Port          Forward Weight ActiveConn InActConn
TCP  68.40.41.100:12345 wlc
  -> 192.168.0.4:12345           Masq    1      0          0

And it should work.

Additional info:

It's an old version of ipvsadm and an old version of RedHat, so why fix it? But 
still, it's broken.
Comment 1 Mike A. Harris 2002-07-09 22:18:23 EDT
This definitely has nothing to do with ipchains.  I have no idea if we even
ship ipvsadm in 6.2, or what package it is in.  Reassigning to kernel, since
it appears a kernel upgrade is what has broken it for you.
Comment 2 Mark Adams 2002-07-10 14:48:19 EDT
I stated that it was not an ipchains problem, but there was no ipvsadm listed 
as a component. I requested that you might add a ipvsadm component and change 
it to that?

As I stated before, I did not test it before doing a kernel upgrade or before 
doing a glibc upgrade. It may or may not be related to the kernel or glibc 
upgrade, but I thought that it was important information to include.

It will probably be resolved by recompiling the listed version of ipvsadm, or 
upgrading the version of ipvsadm, which is what I did to get it functioning. I 
did not investigate the cause enough to be sure of what the underlying problem 
was.
Comment 3 Bugzilla owner 2004-09-30 11:39:44 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.